import 'package:equatable/equatable.dart';

class GetEnergyConsumptionByPhasesParam extends Equatable {
  final DateTime? startDate;
  final DateTime? endDate;
  final String? spaceId;

  const GetEnergyConsumptionByPhasesParam({
    this.startDate,
    this.endDate,
    this.spaceId,
  });

  Map<String, dynamic> toJson() {
    return {
      'startDate': startDate?.toIso8601String(),
      'endDate': endDate?.toIso8601String(),
      'spaceId': spaceId,
    };
  }

  @override
  List<Object?> get props => [startDate, endDate, spaceId];
}
