class GetTotalEnergyConsumptionParam {
  final DateTime? startDate;
  final DateTime? endDate;
  final String? spaceId;

  const GetTotalEnergyConsumptionParam({
    this.startDate,
    this.endDate,
    this.spaceId,
  });

  Map<String, dynamic> toJson() {
    return {
      'startDate': startDate?.toIso8601String(),
      'endDate': endDate?.toIso8601String(),
      'spaceId': spaceId,
    };
  }
}
