import 'package:syncrow_web/pages/analytics/models/energy_data_model.dart';
import 'package:syncrow_web/pages/analytics/params/get_total_energy_consumption_param.dart';
import 'package:syncrow_web/pages/analytics/services/total_energy_consumption/total_energy_consumption_service.dart';

class FakeTotalEnergyConsumptionService implements TotalEnergyConsumptionService {
  @override
  Future<List<EnergyDataModel>> load(
    GetTotalEnergyConsumptionParam param,
  ) {
    return Future.value(
      List.generate(30, (index) {
        return EnergyDataModel(
          date: DateTime(2025, 1, index + 1),
          value: 20000 + (index * 1000) % 5000,
        );
      }),
    );
  }
}
